Pay in 4 interest-free payments of $15.56 Learn more
Shipping Estimate
USA
- USA
- CAN
- USA
- CAN
Ships within 48 hours · Estimated delivery Nov 9 - Nov 14
Pay in 4 interest-free payments of $15.56 Learn more
Ships within 48 hours · Estimated delivery Nov 9 - Nov 14
Brass FS506P 3/4" Brass BLFS506P 3/4" Ball Lock
36 lbs T352AA400X12-6 4" 102mm 4
Construction: National Pipe Tapered - Dryseal
5mm) - - - 00A - Plug/Male 1/4" 1/8" 1/8-27 Female NPTF 2 - - - 1
RFC200 Dixon Cast Brass Cap with Chain - Rocker Lug - 2" Female NPSH Thread LegacyProductTypeReplacement_Hydraulic Live Swivel Brass FS506P 3/4" Brass BLFS506PPart Number Female Thread Finish Powhatan Part # Weight (Lbs.) RFC100F 1" Female NST (NH) 17 126 00026 0. 3300 RFC150F 1 1 2" Female NST (NH) 17 126 00055 0. 4000 RFC250F 2 1 2" Female NST (NH) 17 126 00303 0. 8700 RFC250F C 2 1 2" Female NST (NH) Polished Chrome Plated 1. 3665 RFC075 3 4" Female NPSH 17 126 00015 0. 2800 RFC100 1" Female NPSH 17 126 01303 0. 3080 RFC150 1 1 2" Female NPSH 0. 6810 RFC200 2" Female NPSH 1. 0000 RFC250 2 1 2" Female